# Restrictions on Usage

The number of companies you are able to query in a 30-day period is subject to the terms of your partnership agreement with Craft.&#x20;

Craft does not put restrictions on the number of API calls you are able to do in a 30-day period. However, we do recommend to not perform more than 10 requests per second to the Company Data API. The Company Data API speed varies from request to request, depending on the depth of data requested for the query.&#x20;

All usage of the Craft Company Data API and other APIs are subject to the terms of your partnership agreement with Craft.&#x20;

```graphql
# query
query {
    client {
        companyDataApiUsage {
            companiesLimit
            companiesRemaining
        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.craft.co/company-data-api/restrictions-on-usage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
